> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Revenue Models

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Monetization",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/revenue_models": {
      "get": {
        "summary": "List Revenue Models",
        "description": "",
        "tags": [
          "Revenue Models"
        ],
        "operationId": "listRevenueModels",
        "parameters": [
          {
            "name": "id",
            "$ref": "#/paths/~1plans/get/parameters/0"
          },
          {
            "name": "created_at",
            "$ref": "#/paths/~1plans/get/parameters/1"
          },
          {
            "name": "q",
            "$ref": "#/paths/~1plans/get/parameters/2"
          },
          {
            "name": "order",
            "$ref": "#/paths/~1plans/get/parameters/3"
          },
          {
            "name": "sort",
            "$ref": "#/paths/~1plans/get/parameters/4"
          },
          {
            "name": "page",
            "$ref": "#/paths/~1plans/get/parameters/5"
          },
          {
            "name": "per_page",
            "$ref": "#/paths/~1plans/get/parameters/6"
          },
          {
            "name": "title",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Filter records by title"
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "RevenueModelsResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1revenue_models~1%7Bid%7D/get/responses/200/content/application~1json/schema/properties/response"
                      },
                      "description": ""
                    },
                    "pagination": {
                      "$ref": "#/paths/~1plans/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1plans/post/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```